summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-26 12:26:33 +0100
committerJustin Lecher <jlec@gentoo.org>2015-10-26 14:35:45 +0100
commita24305a5d5ec34f1a08ab1ed62998a2270a5e9e0 (patch)
tree1fbfc3c1c77386f5596a3a2ad522c3a72eef2e67
parentdev-python/hypothesis: Version Bump (diff)
downloadgentoo-a24305a5d5ec34f1a08ab1ed62998a2270a5e9e0.tar.gz
gentoo-a24305a5d5ec34f1a08ab1ed62998a2270a5e9e0.tar.bz2
gentoo-a24305a5d5ec34f1a08ab1ed62998a2270a5e9e0.zip
dev-python/pytz: Version Bump
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/pytz/Manifest1
-rw-r--r--dev-python/pytz/pytz-2015.7.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/pytz/Manifest b/dev-python/pytz/Manifest
index 5d623ce0120..f38e08060e2 100644
--- a/dev-python/pytz/Manifest
+++ b/dev-python/pytz/Manifest
@@ -1,2 +1,3 @@
DIST pytz-2015.4.tar.bz2 157361 SHA256 a78b484d5472dd8c688f8b3eee18646a25c66ce45b2c26652850f6af9ce52b17 SHA512 ade31780d5d91cb519e69b38f8828e1cf94b5b388a3efd80db42b7a5e5603f43f5726f7aecfd08c78d3637a3017910f3ed1a7727ec291f6579a41882c6289ca4 WHIRLPOOL 7804617d21de5e6212ccc1f17651c8e76a94374af22f542cd6eb54fc6951d0b6ec42cd7623162074994573b6bba492d92397a584277b423742c15b68cb930ae7
DIST pytz-2015.6.tar.bz2 156925 SHA256 01eed1b2226dc386d8e467a2ff8c4f1aa08c65d5d7e7c43aa094bd45d5bd68ba SHA512 e6e117d85c0a0310b115cfaae2b9d5957641f8367a7890f4e1afed8129e77c6a08b733b985c06d5f3fe5bbfa565387826883864b79dd4946065561a60ad24f35 WHIRLPOOL 255684e9f24353aeda2f26fc89216aef3b34a87a74df4dc758f87da31cedce6d372d405d37e8c538b786324c6ce03da177d3429438999ecfd744009fd7bbbbe9
+DIST pytz-2015.7.tar.bz2 156812 SHA256 fbd26746772c24cb93c8b97cbdad5cb9e46c86bbdb1b9d8a743ee00e2fb1fc5d SHA512 ffdea72f36b286ea63a3dbc022626ab01d2348ebd29c3532e9e1a289c3112f0ff01e9f3fcf2ad389b609d14393b68c9652f61d1589551f4979a010185da0609c WHIRLPOOL 3ed0deee15f831ae735a9d4f317fe1eaca91e10f450343b0a1e24998846785fd5b02c71caa4ee4e40e426fdc780e2ac9ccaf54abc1f7a66c662bef84feacd691
diff --git a/dev-python/pytz/pytz-2015.7.ebuild b/dev-python/pytz/pytz-2015.7.ebuild
new file mode 100644
index 00000000000..33cf03a3fd8
--- /dev/null
+++ b/dev-python/pytz/pytz-2015.7.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="http://pythonhosted.org/pytz/ https://pypi.python.org/pypi/pytz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE=""
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=sys-libs/timezone-data-2015g"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ # Use timezone-data zoneinfo.
+ "${FILESDIR}"/${PN}-2009j-zoneinfo.patch
+ # ...and do not install a copy of it.
+ "${FILESDIR}"/${PN}-2009h-zoneinfo-noinstall.patch
+)
+
+python_test() {
+ "${PYTHON}" pytz/tests/test_tzinfo.py -v || die "Tests fail with ${EPYTHON}"
+}